Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api
Class JSDuplicateResourceException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.jaspersoft.jasperserver.api.JSException
                      com.jaspersoft.jasperserver.api.JSDuplicateResourceException

All Implemented Interfaces:
  java.io.Serializable

    public class JSDuplicateResourceException

extends JSException

Version:
  $Id
Author:
  Ionut Nedelcu (ionutned@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary

Fields inherited from class com.jaspersoft.jasperserver.api.JSException
`args`

Constructor Summary
`JSDuplicateResourceException(java.lang.String message)`
`JSDuplicateResourceException(java.lang.String message, java.lang.Object[] args)`
`JSDuplicateResourceException(java.lang.String message, java.lang.Throwable cause)`
`JSDuplicateResourceException(java.lang.Throwable cause)`

Method Summary

Methods inherited from class com.jaspersoft.jasperserver.api.JSException
`getArgs, isWrapperObject, setArgs, setWrapperObject`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JSDuplicateResourceException

    public JSDuplicateResourceException(java.lang.Throwable cause)

### JSDuplicateResourceException

    public JSDuplicateResourceException(java.lang.String message)

### JSDuplicateResourceException

    public JSDuplicateResourceException(java.lang.String message,
                                        java.lang.Throwable cause)

### JSDuplicateResourceException

    public JSDuplicateResourceException(java.lang.String message,
                                        java.lang.Object[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.